# common Makefile lines for the Distributed Checksum Clearinghouse

# These lines must not include any rules, or the shared BSD mk files
# will be confused and not do anything.

# Copyright (c) 2005 by Rhyolite Software
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.2.74-1.41 $Revision$


# BSD/OS bsd.prog.mk includes ../Makefile.inc twice
@MAKE_DOT@ifndef DCC_MAKEFILE_INC
DCC_MAKEFILE_INC=x
#BUNDLE_BUILD=no

# common to all DCC clients
CLNTLIBS    =${DEPTH}/dcclib/libdcc.a

# common to threaded DCC clients
THRINC	    =-I${DEPTH}/thrlib
THRLIBS	    =${DEPTH}/thrlib/libthr.a

SRVRINC	    =-I${DEPTH}/srvrlib
SRVRLIBS    =${DEPTH}/srvrlib/libsrvr.a

@DCC_CC@
RANLIB	    =@RANLIB@

NOPROFILE   =
NOGCCERROR  =		#turn off NetBSD's default nonsense in bsd.sys.mk
NOLINT	    =		#why does NetBSD care about lint today?
STRIP	    =		#keep FreeBSD from stripping the a.outs

LDADD	    +=$(CLNTLIBS) @LIBS@
DPADD	    +=$(CLNTLIBS)

#DBGFLAGS   +=-g -DDEBUG_HEAP -DDCC_BAD_ABORT
# turn on gcc warnings only for gcc
@CWARN@	    +=-W -Wall -Wunused -Wcast-align -Winline -Wbad-function-cast
@CWARN@	    +=-Wnested-externs -Wpointer-arith -Wshadow -Wwrite-strings
CFLAGS	    +=@DCC_CFLAGS@$(DBGFLAGS) $(CWARN) -I${DEPTH}/include $(PROFILE)
LDFLAGS	    +=@DCC_LDFLAGS@$(DBGFLAGS) $(PROFILE)

CLEANFILES  +=*.[oda] config.*

DCC_HOMEDIR =@prefix@
@MAKE_DOT@ifdef DCC_BINDIR
BINDIR	    =$(DCC_BINDIR)
@MAKE_DOT@else
BINDIR	    =@installroot@@bindir@
@MAKE_DOT@endif
@MAKE_DOT@ifdef DCC_SUID
# some versions of gmake do not understand ?=
@MAKE_DOT@ifndef DCC_OWN
DCC_OWN	    =$(DCC_SUID)
@MAKE_DOT@endif
@MAKE_DOT@else
DCC_SUID    =@DCCUID@
@MAKE_DOT@ifndef DCC_OWN
DCC_OWN	    =@BINUID@
@MAKE_DOT@endif
@MAKE_DOT@endif
BINOWN	    =$(DCC_OWN)
@MAKE_DOT@ifndef DCC_GRP
DCC_GRP	    =@BIN_GRP@
@MAKE_DOT@endif
BINGRP	    =$(DCC_GRP)
@MAKE_DOT@ifndef DCC_MODE
DCC_MODE    =555
@MAKE_DOT@endif
BINMODE	    =$(DCC_MODE)
MANDIR	    =@installroot@@mandir@
@MAKE_DOT@ifndef MANGRP
MANGRP	    =$(DCC_GRP)
@MAKE_DOT@endif
@MAKE_DOT@ifndef MANOWN
MANOWN	    =$(DCC_OWN)
@MAKE_DOT@endif
MANMODE	    =444

# turn off man pages if not installing on the system
@NO_SYS_INSTALL@
@MAKE_DOT@ifdef NO_SYS_INSTALL
NOMAN	=no
SET_BINOWN=
SET_MANOWN=
SET_DCCOWN=
@MAKE_DOT@else
SET_BINOWN=-o $(BINOWN) -g $(BINGRP)
SET_MANOWN=-o $(MANOWN) -g $(MANGRP)
SET_DCCOWN=-o $(DCC_SUID) -g $(BINGRP)
@MAKE_DOT@endif

@MAKE_DOT@ifdef PROG
MAN8	=$(PROG).0
# turn off man pages in the command directories and build them in the top level
NOMAN	=no
@MAKE_DOT@endif
@MAKE_DOT@endif
